close all
clear all
clc


fc=500;         %Freq. di campionamento
Tf=100;          %Tempo finale delle simulazioni
Tc=1/fc;        %Tempo di campionamento

omega=1;        %Paramentri
gamma=0.05;
F0=2;
m=1;
eta=2;
delta=1;

xp0=-4;                  %Velocit iniziale
x0=-1;                 %Spostamento iniziale

figure
subplot(1,2,1)
sim('modello',Tf)       %Integrazione delle equazioni
plot(x0,xp0,'o','Markersize',5,'MarkerFacecolor','r')
hold on
plot(x(:,2),xp(:,2),'o','Markersize',1)    %plot della theta(t)
xlabel('x')             %Etichetta dell'asse X
ylabel('x_p')           %Etichetta dell'asse Y
grid                    %Disegna la griglia

%Effettuiamo un campionamento con un periodo pari a quello dell'azione
%forzante, e riportiamo il grafico nello spazio delle fasi come sequenza di
%punti anziche linee.

Tc=2*pi/omega;
Tf=10000*Tc

subplot(1,2,2)                 %Spostamento iniziale
sim('modello',Tf)       %Integrazione delle equazioni
plot(x0,xp0,'o','Markersize',5,'MarkerFacecolor','r')
hold on
plot(x(:,2),xp(:,2),'o','Markersize',1)    %plot della theta(t)
xlabel('x')             %Etichetta dell'asse X
ylabel('x_p')           %Etichetta dell'asse Y
grid                    %Disegna la griglia